import type { BaseHttpRequest } from "./core/BaseHttpRequest.js";
import type { OpenAPIConfig } from "./core/OpenAPI.js";
import { AccessTokensService } from "./services/AccessTokensService.js";
import { AccountService } from "./services/AccountService.js";
import { AccountFactoryService } from "./services/AccountFactoryService.js";
import { BackendWalletService } from "./services/BackendWalletService.js";
import { ChainService } from "./services/ChainService.js";
import { ConfigurationService } from "./services/ConfigurationService.js";
import { ContractService } from "./services/ContractService.js";
import { ContractEventsService } from "./services/ContractEventsService.js";
import { ContractMetadataService } from "./services/ContractMetadataService.js";
import { ContractRolesService } from "./services/ContractRolesService.js";
import { ContractRoyaltiesService } from "./services/ContractRoyaltiesService.js";
import { ContractSubscriptionsService } from "./services/ContractSubscriptionsService.js";
import { ContractTransactionsService } from "./services/ContractTransactionsService.js";
import { DefaultService } from "./services/DefaultService.js";
import { DeployService } from "./services/DeployService.js";
import { Erc1155Service } from "./services/Erc1155Service.js";
import { Erc20Service } from "./services/Erc20Service.js";
import { Erc721Service } from "./services/Erc721Service.js";
import { KeypairService } from "./services/KeypairService.js";
import { MarketplaceDirectListingsService } from "./services/MarketplaceDirectListingsService.js";
import { MarketplaceEnglishAuctionsService } from "./services/MarketplaceEnglishAuctionsService.js";
import { MarketplaceOffersService } from "./services/MarketplaceOffersService.js";
import { PermissionsService } from "./services/PermissionsService.js";
import { RelayerService } from "./services/RelayerService.js";
import { TransactionService } from "./services/TransactionService.js";
import { WebhooksService } from "./services/WebhooksService.js";
type HttpRequestConstructor = new (config: OpenAPIConfig) => BaseHttpRequest;
declare class EngineLogic {
    readonly accessTokens: AccessTokensService;
    readonly account: AccountService;
    readonly accountFactory: AccountFactoryService;
    readonly backendWallet: BackendWalletService;
    readonly chain: ChainService;
    readonly configuration: ConfigurationService;
    readonly contract: ContractService;
    readonly contractEvents: ContractEventsService;
    readonly contractMetadata: ContractMetadataService;
    readonly contractRoles: ContractRolesService;
    readonly contractRoyalties: ContractRoyaltiesService;
    readonly contractSubscriptions: ContractSubscriptionsService;
    readonly contractTransactions: ContractTransactionsService;
    readonly default: DefaultService;
    readonly deploy: DeployService;
    readonly erc1155: Erc1155Service;
    readonly erc20: Erc20Service;
    readonly erc721: Erc721Service;
    readonly keypair: KeypairService;
    readonly marketplaceDirectListings: MarketplaceDirectListingsService;
    readonly marketplaceEnglishAuctions: MarketplaceEnglishAuctionsService;
    readonly marketplaceOffers: MarketplaceOffersService;
    readonly permissions: PermissionsService;
    readonly relayer: RelayerService;
    readonly transaction: TransactionService;
    readonly webhooks: WebhooksService;
    readonly request: BaseHttpRequest;
    constructor(config?: Partial<OpenAPIConfig>, HttpRequest?: HttpRequestConstructor);
}
export declare class Engine extends EngineLogic {
    constructor(config: {
        url: string;
        accessToken: string;
    });
}
export {};
